Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`im`.`basechat`.`GroupConversation``

class documentation

`class GroupConversation: (source)`

Constructor: `GroupConversation(group, chatui)`

View In Hierarchy

A GUI window of a conversation with a group of people.

Method | `__init__` | No summary
Method | `hide` | Hide the GroupConversationWindow.
Method | `memberChangedNick` | Change the nickname for a member of the group conversation and displays this change to the user.
Method | `memberJoined` | Add the given member to the list of members in the group conversation and displays this to the user.
Method | `memberLeft` | Delete the given member from the list of members in the group conversation and displays the change to the user.
Method | `sendText` | Send text to the group.
Method | `setGroupMembers` | Set the list of members in the group.
Method | `setTopic` | Change the topic for the group conversation window and display this change to the user.
Method | `show` | Display the GroupConversationWindow.
Method | `showGroupMessage` | Display to the user a message sent to this group from the given sender.
Instance Variable | `chatui` | The GUI chat client associated with this conversation.
Instance Variable | `group` | The group of people that are having this conversation.
Instance Variable | `members` | The names of the people in this conversation.

def __init__(self, group, chatui): (source)

Parameters
group:`IGroup` provider | The group of people that are having this conversation.
chatui:`ChatUI` | The GUI chat client associated with this conversation.

def hide(self): (source)

Hide the GroupConversationWindow.

def memberChangedNick(self, oldnick, newnick): (source)

Change the nickname for a member of the group conversation and displays this change to the user.

Parameters
oldnick:`str` | The old nickname.
newnick:`str` | The new nickname.

def memberJoined(self, member): (source)

Add the given member to the list of members in the group conversation and displays this to the user.

Parameters
member:`str` | The person joining the group conversation.

def memberLeft(self, member): (source)

Delete the given member from the list of members in the group conversation and displays the change to the user.

Parameters
member:`str` | The person leaving the group conversation.

def sendText(self, text): (source)

Send text to the group.

Parameters
text:`str` | The text to be sent.

def setGroupMembers(self, members): (source)

Set the list of members in the group.

Parameters
members:`list` of `str` | The names of the people that will be in this group.

def setTopic(self, topic, author): (source)

Change the topic for the group conversation window and display this change to the user.

Parameters
topic:`str` | This group's topic.
author:`str` | The person changing the topic.

def show(self): (source)

Display the GroupConversationWindow.

def showGroupMessage(self, sender, text, metadata=None): (source)

Display to the user a message sent to this group from the given sender.

Parameters
sender:`str` | The person sending the message.
text:`str` | The sent message.
metadata:`dict` | Metadata associated with this message.

chatui: `ChatUI` = (source)

The GUI chat client associated with this conversation.

group: `IGroup` provider = (source)

The group of people that are having this conversation.

members: `list` of `str` = (source)

The names of the people in this conversation.